import dynamic from 'next/dynamic';
import { Center, Spinner } from '@chakra-ui/react';
import ClientOnly from './components/ClientOnly';

const MainApp = dynamic(() => import('./components/MainApp'), {
  ssr: false,
  loading: () => (
    <Center h="100vh">
      <Spinner size="xl" />
    </Center>
  ),
});

export default function Home() {
  return (
    <ClientOnly>
      <MainApp />
    </ClientOnly>
  );
} 